[arch-commits] Commit in php/trunk (PKGBUILD mysqlnd-socket.patch)

Pierre Schmitz pierre at archlinux.org
Thu Nov 19 11:11:33 EST 2009


    Date: Thursday, November 19, 2009 @ 11:11:32
  Author: pierre
Revision: 59035

Added:
  php/trunk/mysqlnd-socket.patch
Modified:
  php/trunk/PKGBUILD

----------------------+
 PKGBUILD             |    8 ++++++--
 mysqlnd-socket.patch |   11 +++++++++++
 2 files changed, 17 insertions(+), 2 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-11-19 16:09:54 UTC (rev 59034)
+++ PKGBUILD	2009-11-19 16:11:32 UTC (rev 59035)
@@ -33,12 +33,13 @@
 options=('!makeflags')
 source=("http://www.php.net/distributions/${pkgbase}-${pkgver}.tar.bz2"
         "http://download.suhosin.org/suhosin-patch-${_suhosinver}.patch.gz"
-        'php.ini.patch' 'apache.conf' 'db-configure.patch')
+        'php.ini.patch' 'apache.conf' 'db-configure.patch' 'mysqlnd-socket.patch')
 md5sums=('63e97ad450f0f7259e785100b634c797'
          'c3ff0cb5fa728420d56f8ed139446647'
          'd6f94150f47047882c6716575e12e99b'
          '96ca078be6729b665be8a865535a97bf'
-         'cd3d068931c3715e35634e9885e35374')
+         'cd3d068931c3715e35634e9885e35374'
+         '993223e03e6c0cc2d89581550ebbbe67')
 
 build() {
 	phpconfig="--prefix=/usr \
@@ -129,6 +130,9 @@
 	# avoid linking against old db version
 	patch -p0 -i ${srcdir}/db-configure.patch || return 1
 
+	# use /var/run/mysqld/mysqld.sock as default socket for mysql
+	patch -p0 -i ${srcdir}/mysqlnd-socket.patch || return 1
+
 	# apply suhosin patch
 	patch -p1 -i ${srcdir}/suhosin-patch-${_suhosinver}.patch || return 1
 

Added: mysqlnd-socket.patch
===================================================================
--- mysqlnd-socket.patch	                        (rev 0)
+++ mysqlnd-socket.patch	2009-11-19 16:11:32 UTC (rev 59035)
@@ -0,0 +1,11 @@
+--- ext/mysqlnd/mysqlnd.c	2009-11-19 14:02:01.934775092 +0100
++++ ext/mysqlnd/mysqlnd.c	2009-11-19 14:08:04.598072581 +0100
+@@ -547,7 +547,7 @@
+ #ifndef PHP_WIN32
+ 	if (host_len == sizeof("localhost") - 1 && !strncasecmp(host, "localhost", host_len)) {
+ 		if (!socket) {
+-			socket = "/tmp/mysql.sock";
++			socket = "/var/run/mysqld/mysqld.sock";
+ 		}
+ 		transport_len = spprintf(&transport, 0, "unix://%s", socket);
+ 		unix_socket = TRUE;



More information about the arch-commits mailing list